<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>VTE Reference Manual: VTE Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="VTE Reference Manual">
<link rel="next" href="pt01.html" title="Part I. API Reference">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<div class="book">
<div class="titlepage">
<div>
<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">VTE Reference Manual</p></th></tr></table></div>
<div><p class="releaseinfo">
      Documentation for VTE version 0.54.2
.
      The latest version of this documentation can be found on-line at the
      <a class="ulink" href="http://library.gnome.org/devel/vte/" target="_top">GNOME Library</a>.
    </p></div>
<div><p class="copyright">Copyright © 2009, 2010 Christian Persch</p></div>
<div><div class="legalnotice">
<a name="id-1.1.4"></a><p>
        Permission is granted to copy, distribute and/or modify this document
        under the terms of the <em class="citetitle">GNU Lesser General Public Licence</em>, Version 2.1
        or (at your option) any later version published by the Free Software Foundation.

        You may obtain a copy of the <em class="citetitle">GNU Lesser General Public Licence</em>
        from the Free Software Foundation at
        <a class="ulink" href="http://www.gnu.org/licences/" target="_top">GNU Licences web site</a>
        or by writing to:

        </p>
<div class="address"><p><br>
          The Free Software Foundation, Inc.,<br>
          <span class="street">51 Franklin St</span> – Fifth Floor,<br>
          <span class="city">Boston</span>, <span class="state">MA</span> <span class="postcode">02110-1301</span>,<br>
          <span class="country">USA</span><br>
        </p></div>
<p>
      </p>
</div></div>
</div>
<hr>
</div>
<div class="toc"><dl class="toc">
<dt><span class="part"><a href="pt01.html">I. API Reference</a></span></dt>
<dd><dl>
<dt><span class="chapter"><a href="ch01.html"></a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="VteTerminal.html">VteTerminal</a></span><span class="refpurpose"> — A terminal widget implementation</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="ch02.html"></a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="VteRegex.html">VteRegex</a></span><span class="refpurpose"> — Regex for matching and searching. Uses PCRE2 internally.</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="ch03.html"></a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="vte-Vte-PTY.html">Vte PTY</a></span><span class="refpurpose"> — Functions for starting a new process on a new pseudo-terminal and for
manipulating pseudo-terminals</span>
</dt></dl></dd>
<dt><span class="chapter"><a href="ch04.html"></a></span></dt>
<dd><dl><dt>
<span class="refentrytitle"><a href="vte-Version-Information.html">Version Information</a></span><span class="refpurpose"> — Library version checks</span>
</dt></dl></dd>
</dl></dd>
<dt><span class="chapter"><a href="object-hierarchy.html">Object Hierarchy</a></span></dt>
<dt><span class="index"><a href="api-index-full.html">Index</a></span></dt>
<dt><span class="index"><a href="api-index-deprecated.html">Index of deprecated symbols</a></span></dt>
<dt><span class="index"><a href="api-index-0-40.html">Index of new symbols in 0.40</a></span></dt>
<dt><span class="index"><a href="api-index-0-44.html">Index of new symbols in 0.44</a></span></dt>
<dt><span class="index"><a href="api-index-0-46.html">Index of new symbols in 0.46</a></span></dt>
<dt><span class="index"><a href="api-index-0-48.html">Index of new symbols in 0.48</a></span></dt>
<dt><span class="index"><a href="api-index-0-50.html">Index of new symbols in 0.50</a></span></dt>
<dt><span class="index"><a href="api-index-0-52.html">Index of new symbols in 0.52</a></span></dt>
<dt><span class="index"><a href="api-index-0-54.html">Index of new symbols in 0.54</a></span></dt>
<dt><span class="glossary"><a href="annotation-glossary.html">Annotation Glossary</a></span></dt>
<dt><span class="appendix"><a href="licence.html">A. Licence</a></span></dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>